@ECHO OFF

REM This script will generate SVI CAS-file from MSX ROM

CD DATA
IF %1!==! GOTO HELP
IF NOT EXIST ..\%1.ROM GOTO NOTFOUND
bincut2 -o %1.002 -s 4000 ..\%1.ROM 2>NUL
IF ERRORLEVEL 1 GOTO 16K
pletter %1.002 %1.002
bincut2 -o %1.001 -l 4000 ..\%1.ROM 2>NUL
pletter %1.001 %1.001
ECHO 32K GAME: %1.CAS
svitools -a TOSVI.LDR LOADER -b EXEROM -br %1.001 PART1 8800 D014 -br %1.002 PART2 8800 D01C -o ..\%1.cas
del %1.001
del %1.002
GOTO END
:16K
bincut2 -o %1.001 -s 2000 -l 2000 ..\%1.rom 2>NUL
IF ERRORLEVEL 1 GOTO 8K
bincut2 -o %1.001 -l 4000 ..\%1.rom 2>NUL
pletter %1.001 %1.001
ECHO 16K GAME: %1.CAS
svitools -a TOSVI.LDR LOADER -b EXEROM -br %1.001 GAME 8800 D00C -o ..\%1.cas
del %1.001
GOTO END
:8K
pletter ..\%1.rom %1.001
ECHO 8K GAME: %1.CAS
svitools -a TOSVI.LDR LOADER -b EXEROM -br %1.001 GAME 8800 D004 -o ..\%1.cas
del %1.001
GOTO END
:NOTFOUND
ECHO File %1.ROM not found.
GOTO END
:HELP
ECHO Input MSX ROM-name as parameter (without .ROM extension)
:END
CD ..
