@ECHO OFF

REM This script will generate SVI ROM-file from MSX ROM

CD DATA
IF %1!==! GOTO HELP
IF NOT EXIST ..\%1.ROM GOTO NOTFOUND
bincut2 -o %1.002 -s 4000 ..\%1.ROM 2>NUL
IF ERRORLEVEL 1 GOTO 16K
pletter %1.002 %1.002
bincut2 -o %1.001 -l 4000 ..\%1.ROM 2>NUL
pletter %1.001 %1.001
ECHO 32K GAME: %1.ROM
ECHO GAME_SIZE EQU 32 >TOSVIROM.INC
GOTO MAKE
:16K
bincut2 -o %1.001 -s 2000 -l 2000 ..\%1.rom 2>NUL
IF ERRORLEVEL 1 GOTO 8K
bincut2 -o %1.001 -l 4000 ..\%1.rom 2>NUL
pletter %1.001 %1.001
ECHO 16K GAME: %1.ROM
ECHO GAME_SIZE EQU 16 >TOSVIROM.INC
GOTO MAKE
:8K
pletter ..\%1.rom %1.001
ECHO 8K GAME: %1.ROM
ECHO GAME_SIZE EQU 8 >TOSVIROM.INC
:MAKE
ECHO DEFINE FILE1 "%1.001" >>TOSVIROM.INC
ECHO DEFINE FILE2 "%1.002" >>TOSVIROM.INC
IF %2!==! ECHO PATCH_MODE EQU 2 >>TOSVIROM.INC
IF NOT %2!==! ECHO PATCH_MODE EQU %2 >>TOSVIROM.INC
SJASM TOSVIROM.ASM ..\SVI_%1.ROM >NUL
ECHO SVI_%1.ROM created.
del ..\SVI_%1.lst
del %1.001
IF EXIST %1.002 del %1.002
DEL TOSVIROM.INC
bincut2 -o NUL -s 8000 ..\SVI_%1.ROM 2>NUL
IF ERRORLEVEL 1 GOTO END
CLS
ECHO Sorry, ROM can not be packed enough.
DEL ..\SVI_%1.ROM
GOTO END
:NOTFOUND
ECHO File %1.ROM not found.
GOTO END
:HELP
ECHO Input MSX ROM-name as parameter (without .ROM extension) followed by optional patch mode.
ECHO Example:
ECHO TOSVIROM GAME 2
:END
CD ..